<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title></title>
    <script src="js/jquery-1.12.3.min.js"></script>
    <script src="js/d3.min.js"></script>
    <script src="js/require.js"></script>
    <script src="modules/Bindings.js"></script>
    <script src="modules/Colors.js"></script>
    <script src="modules/ModulesChains.js"></script>
    <script src="modules/Rendering.js"></script>
    <script src="modules/ContextMenu.js"></script>
    <script src="modules/AppTransport.js"></script>
    <script src="js/main.js"></script>
    <link href="css/style.css" rel="stylesheet">
</head>
<body>
<h2>Идет построение дерева. Это может занять некоторое время...</h2>

<div class="moduleFieldBlock noblock" style="top: 10px">
    <span>Обозреваемый модуль:</span>
    <input id="moduleFieldText" class="moduleField inheritInput noblock">
    <select id="moduleField" class="moduleField inheritInput noblock"></select>
</div>

<div class="findFieldBlock noblock" style="top: 10px">
    <span style="position: inherit; left: 350px;">Проложить путь до:</span>
    <input id="findFieldText" class="findField inheritInput noblock">
    <select id="findField" class="findField inheritInput noblock">
        <option selected></option>
    </select>
</div>

<div class="moduleParentBlock noblock" style="top: 90px">
    <span>Найти родителей модуля:</span>
    <input id="moduleParentText" class="moduleParent inheritInput noblock">
    <input id="moduleParentCheckBox" type="checkbox" class="noblock">
</div>

<div id="helper" style="position: fixed; border: 2px #308BB7 solid; border-radius: 5px; padding: 5px; width: 400px; bottom: 0; cursor: pointer; display: none;background: rgba(256, 256, 256, 0.5);">
    <div id="mainText"><span class="blueText">Клик</span> на узел дерева подсветит весь путь от него до корня.
        Циклические зависимости выделятся <span class="redText">красным цветом.</span>
        При нажатии на дублирующие узлы, первое вхождение узла (если оно уже не выбрано) выделится большим <span class="purpleText">фиолетовым</span> кругом. Все остальные - малыми.
    </div>
    <div id="closeText" style="font-size: 13px; color: #056EF5">
        нажмите чтобы закрыть
    </div>
</div>
</body>
</html>